Bug 785631 (CVE-2011-5245, CVE-2012-0818) - CVE-2011-5245 CVE-2012-0818 RESTEasy: XML eXternal Entity (XXE) flaw
Summary: CVE-2011-5245 CVE-2012-0818 RESTEasy: XML eXternal Entity (XXE) flaw
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-5245, CVE-2012-0818
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 787556 787557 800778 805758 825575 831576 1006652 1006653 1006654 1073659 1073660 1081776 1085557 1165383
Blocks: 785632 787530 787847 788798 798948 808950 812180 1007656 1072116 1084867
TreeView+ depends on / blocked
 
Reported: 2012-01-30 04:48 UTC by David Jorm
Modified: 2019-09-29 12:50 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-15 16:20:07 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0421 normal SHIPPED_LIVE Moderate: rhevm security and bug fix update 2012-03-26 19:17:18 UTC
Red Hat Product Errata RHSA-2012:0441 normal SHIPPED_LIVE Moderate: JBoss Enterprise BRMS Platform 5.2.0 update 2012-04-02 23:30:04 UTC
Red Hat Product Errata RHSA-2012:0519 normal SHIPPED_LIVE Moderate: JBoss Enterprise Portal Platform 5.2.1 update 2012-04-25 06:10:00 UTC
Red Hat Product Errata RHSA-2012:1056 normal SHIPPED_LIVE Moderate: resteasy security update 2012-07-05 23:27:21 UTC
Red Hat Product Errata RHSA-2012:1057 normal SHIPPED_LIVE Moderate: resteasy security update 2012-07-05 23:27:17 UTC
Red Hat Product Errata RHSA-2012:1058 normal SHIPPED_LIVE Moderate: resteasy security update 2012-07-05 23:27:10 UTC
Red Hat Product Errata RHSA-2012:1059 normal SHIPPED_LIVE Moderate: resteasy security update 2012-07-05 23:27:01 UTC
Red Hat Product Errata RHSA-2012:1125 normal SHIPPED_LIVE Important: JBoss Enterprise SOA Platform 5.3.0 update 2012-07-31 18:32:35 UTC
Red Hat Product Errata RHSA-2013:1263 normal SHIPPED_LIVE Moderate: Red Hat Storage Console 2.1 security update 2013-09-16 07:08:59 UTC
Red Hat Product Errata RHSA-2014:0371 normal SHIPPED_LIVE Important: Red Hat JBoss BPM Suite 6.0.1 update 2014-04-04 01:19:56 UTC
Red Hat Product Errata RHSA-2014:0372 normal SHIPPED_LIVE Important: Red Hat JBoss BRMS 6.0.1 update 2014-04-04 01:30:03 UTC

Description David Jorm 2012-01-30 04:48:37 UTC
RESTEasy permits XXE (XML eXternal Entity) attacks. If a RESTEasy endpoint is deployed, a user can submit a request containing an external XML entity. This XML entity will be resolved, allowing a remote attacker to read files in the context of the user running the application server. This flaw affects DOM Document, JAXB and Fast Infoset (FI) input.

Upstream bugs:
https://issues.jboss.org/browse/RESTEASY-637
https://issues.jboss.org/browse/RESTEASY-647
https://issues.jboss.org/browse/RESTEASY-659

Comment 6 Julian Coleman 2012-02-22 12:47:57 UTC
EAP 5.1.2 issue:
  https://issues.jboss.org/browse/JBPAPP-8054
EWP 5.1.2 issue:
  https://issues.jboss.org/browse/JBPAPP-8055

Comment 9 errata-xmlrpc 2012-03-26 15:19:12 UTC
This issue has been addressed in following products:

  RHEV Manager version 3.x

Via RHSA-2012:0421 https://rhn.redhat.com/errata/RHSA-2012-0421.html

Comment 10 Ryan Zhang 2012-03-28 08:50:41 UTC
Back port to BRMS 5.3.0 release branch.

Comment 11 errata-xmlrpc 2012-04-02 19:31:10 UTC
This issue has been addressed in following products:

  JBoss Enterprise BRMS Platform 5.2.0

Via RHSA-2012:0441 https://rhn.redhat.com/errata/RHSA-2012-0441.html

Comment 12 errata-xmlrpc 2012-04-25 02:12:00 UTC
This issue has been addressed in following products:

  JBoss Enterprise Portal Platform 5.2.1

Via RHSA-2012:0519 https://rhn.redhat.com/errata/RHSA-2012-0519.html

Comment 15 Murray McAllister 2012-06-19 02:45:11 UTC
The fix for CVE-2012-0818 is not enabled by default. After installing the relevant updates, if applications on your server expose RESTEasy XML endpoints, add the following snippet to their web.xml file to disable entity expansion in RESTEasy:

<context-param>
        <param-name>resteasy.document.expand.entity.references</param-name>
        <param-value>false</param-value>
</context-param>

Note that this <context-param> setting has precedence over <init-param>, and will override a contrary setting in an <init-param> element.

Comment 16 errata-xmlrpc 2012-07-05 19:28:30 UTC
This issue has been addressed in following products:

  JBEAP 5 for RHEL 4
  JBEAP 5 for RHEL 5
  JBEAP 5 for RHEL 6

Via RHSA-2012:1059 https://rhn.redhat.com/errata/RHSA-2012-1059.html

Comment 17 errata-xmlrpc 2012-07-05 19:28:35 UTC
This issue has been addressed in following products:

  JBEWP 5 for RHEL 4
  JBEWP 5 for RHEL 5
  JBEWP 5 for RHEL 6

Via RHSA-2012:1058 https://rhn.redhat.com/errata/RHSA-2012-1058.html

Comment 18 errata-xmlrpc 2012-07-05 19:29:08 UTC
This issue has been addressed in following products:

    JBoss Enterprise Web Platform 5.1.2

Via RHSA-2012:1057 https://rhn.redhat.com/errata/RHSA-2012-1057.html

Comment 19 errata-xmlrpc 2012-07-05 19:31:12 UTC
This issue has been addressed in following products:

  JBoss Enterprise Application Platform 5.1.2

Via RHSA-2012:1056 https://rhn.redhat.com/errata/RHSA-2012-1056.html

Comment 20 errata-xmlrpc 2012-07-31 14:33:49 UTC
This issue has been addressed in following products:

  JBoss Enterprise SOA Platform 5.3.0

Via RHSA-2012:1125 https://rhn.redhat.com/errata/RHSA-2012-1125.html

Comment 21 Vincent Danen 2012-11-28 00:34:17 UTC
This was also assigned CVE-2011-5245:

The readFrom function in providers.jaxb.JAXBXmlTypeProvider in RESTEasy before 2.3.2 allows remote attackers to read arbitrary files via an external entity reference in a Java Architecture for XML Binding (JAXB) input, aka an XML external entity (XXE) injection attack, a similar vulnerability to CVE-2012-0818.

Comment 24 errata-xmlrpc 2013-09-16 03:10:55 UTC
This issue has been addressed in following products:

  Red Hat Storage Console 2.1

Via RHSA-2013:1263 https://rhn.redhat.com/errata/RHSA-2013-1263.html

Comment 30 errata-xmlrpc 2014-04-03 21:22:37 UTC
This issue has been addressed in following products:

  Red Hat JBoss BPM Suite 6.0.1

Via RHSA-2014:0371 https://rhn.redhat.com/errata/RHSA-2014-0371.html

Comment 31 errata-xmlrpc 2014-04-03 21:30:54 UTC
This issue has been addressed in following products:

  Red Hat JBoss BRMS 6.0.1

Via RHSA-2014:0372 https://rhn.redhat.com/errata/RHSA-2014-0372.html


Note You need to log in before you can comment on or make changes to this bug.